OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000105OMNeT++IDE / C++ developmentpublic2009-09-09 09:332009-10-09 15:16
Reporterbaumgart 
Assigned Torhornig 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.0 
Target VersionFixed in Version 
Summary0000105: Upgrade CDT to the latest release (currently 6.0)
DescriptionThe IDE should be based on Eclipse Galileo and CDT 6.0. Especially CDT 6.0 seems to fix several annoying bugs.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000171)
andras (administrator)
2009-09-09 11:20
edited on: 2009-09-09 11:21

Makes sense. Originally we planned 4.1 to carry some new features, but since they'll need some more time to shape up, it seems to be a better idea to make 4.1 a maintenance release: upgrade Eclipse, CDT and MSYS/MinGW, update the code for the latest gcc, and fix bugs in 4.0. This is still going to take ~ 2 months, due to changes in the Eclipse build system and deployment. We'll shift new features to 4.2.

(0000179)
rhornig (administrator)
2009-10-09 15:16

Upgraded to eclipse 3.5.1 and cdt 6.0.1. The bundled mingw compiler is upgraded to 4.4 and GDB to 7.0.

See the topic/eclipse35migration branch.

- Issue History
Date Modified Username Field Change
2009-09-09 09:33 baumgart New Issue
2009-09-09 11:20 andras Note Added: 0000171
2009-09-09 11:20 andras Status new => confirmed
2009-09-09 11:21 andras Note Edited: 0000171
2009-10-09 15:16 rhornig Note Added: 0000179
2009-10-09 15:16 rhornig Status confirmed => resolved
2009-10-09 15:16 rhornig Resolution open => fixed
2009-10-09 15:16 rhornig Assigned To => rhornig


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker